# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTypeListLength< KTypeList< T, U > > Struct Template Reference

A class template for determining the length of a typelist. More...

`#include <ktypelist.h>`

List of all members.

## Public Types

enum | { Value = 1 + KTypeListLength<U>::Value }

## Detailed Description

### template<class T, class U>
struct KTypeListLength< KTypeList< T, U > >

A class template for determining the length of a typelist.

To be used like KTypeListLength< typelist >::Value;

Definition at line 387 of file ktypelist.h.

## Member Enumeration Documentation

template<class T, class U>
anonymous enum

| The length of the type list. Definition at line 392 of file ktypelist.h.

The documentation for this struct was generated from the following file:

- ktypelist.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:09 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003